Ticket #1069 (closed defect: wontfix)

Opened 13 years ago

Last modified 13 years ago

User can't choose password when joining LeMill (plone 2.5.1)

Reported by: hans Owned by: anonymous
Priority: major Milestone:
Component: generic Version:
Keywords: Cc:
Time planned: Time remaining:
Time spent:

Description (last modified by hans) (diff)

I installed Python 2.4.4, Zope 2.9.6, Plone 2.5.1 and LeMill 1.5.1. It seems that by default user can't choose password when joining LeMill. A password will be generated and e-mailed to the user.

I think that the current solution where user can choose the password is better in real life. For example during teacher training it would waste 5 minutes if all people have to check their e-mail to get the password.

http://lemill.org/trac/attachment/ticket/1069/defect_join_form.png?format=raw

Attachments

defect_join_form.png (56.8 KB) - added by hans 13 years ago.

Change History

Changed 13 years ago by hans

comment:1 Changed 13 years ago by hans

  • Description modified (diff)

comment:2 Changed 13 years ago by tarmo

We're currently using Plone 2.5. It may be that the default behaviour is changed for 2.5.1. But we should be able to turn the old functionality back on.

comment:3 Changed 13 years ago by hans

I created a new Zope instance and tried to install Plone 2.5, but I was not able to install Plone 2.5 on Zope 2.9.6. I really do not have time to play with all different versions of Zope this week.

Now I'm back on Zope 2.9.6 / Plone 2.5.1. It seems that the registration form has also changed in Plone. I also noticed one difference between Plone 2.5.1 and LeMill 1.5.1 registration forms -- the last line of text in Plone form says that "A URL will be generated and e-mailed to you; follow the link to reach a page where you can change your password and complete the registration process."

comment:4 Changed 13 years ago by tarmo

  • Summary changed from User can't choose password when joining LeMill to User can't choose password when joining LeMill (plone 2.5.1)

Right, well we'll fix this when we get around to upgrading our platforms. As the Download pages lists, the supported configuration currently is Python 2.4, Zope 2.9.3, Plone 2.5. Since you're running a non-supported stack, things may break.

comment:5 Changed 13 years ago by hans

  • Status changed from new to closed
  • Resolution set to wontfix

I found validate_email checkbox in ZMI on the Plone properties page. By default it was checked. I unchecked that option and managed to join the LeMill site. Currently everything seems to work with my configuration:

I will close that ticket.

Note: See TracTickets for help on using tickets.